Indexes
All operations require authentication.
List indexesBeta
Returns the indexes of the service with their document count, size and shards.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the index was created
Number of documents stored in this index
Unique identifier of the index
Name of the OpenSearch index
Number of replica shards for this index
Number of primary shards for this index
Total size of the index in bytes
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ opensearch/ {serviceId}/ index \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "documentCount": 0, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "replicaCount": 0, "shardCount": 0, "size": 0 }]
Get an indexBeta
Returns the document count, the size in bytes and the primary and replica shard counts of the index.
Path parameters
Index ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the index was created
Number of documents stored in this index
Unique identifier of the index
Name of the OpenSearch index
Number of replica shards for this index
Number of primary shards for this index
Total size of the index in bytes
Example uses indexId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ opensearch/ {serviceId}/ index/ {indexId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "documentCount": 0, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "replicaCount": 0, "shardCount": 0, "size": 0}
List index patternsBeta
Returns the index patterns of the service with their maximum number of indexes.
Path parameters
Project ID
Service ID
Headers
Pagination cursor
Pagination size
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the index pattern
Maximum number of indexes matching this pattern. Oldest indexes are deleted when this limit is reached.
Glob pattern matching index names
Date of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ opensearch/ {serviceId}/ pattern \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "maximumIndexCount": 0, "pattern": "string", "updatedAt": "2024-01-01T12:00:00Z" }]
Get an index patternBeta
Returns the glob pattern and the maximum number of indexes it keeps.
Path parameters
Pattern ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the index pattern
Maximum number of indexes matching this pattern. Oldest indexes are deleted when this limit is reached.
Glob pattern matching index names
Date of the last update to the resource
Example uses patternId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ opensearch/ {serviceId}/ pattern/ {patternId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "maximumIndexCount": 0, "pattern": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Create an index patternBeta
Creates a glob pattern matching index names, with a maximum number of matching indexes. When the limit is reached, the oldest indexes are deleted.
Path parameters
Project ID
Service ID
Request body (required)
Maximum number of indexes matching this pattern
Glob pattern matching index names
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the index pattern
Maximum number of indexes matching this pattern. Oldest indexes are deleted when this limit is reached.
Glob pattern matching index names
Date of the last update to the resource
Example uses projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ opensearch/ {serviceId}/ pattern \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "maximumIndexCount": 0, "pattern": "string", "updatedAt": "2024-01-01T12:00:00Z"}
Delete an index patternBeta
Deletes the index pattern and the indexes matching it.
Path parameters
Pattern ID
Project ID
Service ID
Response
Hash of the resource used for concurrency control
Date at which the resource was created
Unique identifier of the index pattern
Maximum number of indexes matching this pattern. Oldest indexes are deleted when this limit is reached.
Glob pattern matching index names
Date of the last update to the resource
Example uses patternId = 00000000-0000-0000-0000-000000000000, projectId = string, serviceId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ managedAnalytics/ opensearch/ {serviceId}/ pattern/ {patternId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "maximumIndexCount": 0, "pattern": "string", "updatedAt": "2024-01-01T12:00:00Z"}